Montgomery< int32_t > Class Reference

This class implements the standard arithmetic with Modulo Elements. More...

`#include <montgomery-int32.h>`

## Detailed Description

This class implements the standard arithmetic with Modulo Elements.

Reduction is made through Montgomery's reduction. Representation of a is by storing (aB).

- We must have gcd(p,2)=1
- We must have , i.e. for .
- m max is 40503
- p max is 40499

The documentation for this class was generated from the following files:

- montgomery-int32.h
- montgomery-int32.inl